Name:           libgtop2
Version:        2.40.0
Release:        1%{?dist}
Summary:        LibGTop library (version 2)
 
License:        GPLv2+
URL:            http://download.gnome.org/sources/libgtop
Source0:        http://download.gnome.org/sources/libgtop/2.40/libgtop-%{version}.tar.gz

Patch1001:      1001-Use-system-installed-gettext-version.patch 
 
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  make
BuildRequires:  gtk-doc
BuildRequires:  texinfo
 
%description
LibGTop is a library for portably obtaining information about processes,
such as their PID, memory usage, etc.
 
%package        devel
Summary:        Libraries and include files for developing with libgtop
Requires:       %{name}%{?_isa} = %{version}-%{release}
 
%description    devel
This package provides the necessary development libraries and include
files to allow you to develop with LibGTop.
 
%prep
%setup -q -n libgtop-%{version}
%patch1001 -p1
 
%build
./autogen.sh
%configure --disable-gtk-doc --disable-static
make %{?_smp_mflags}
 
%install
mkdir -p %{buildroot}/usr/share/gtk-doc
mkdir -p %{buildroot}/usr/share/gtk-doc/html
%make_install
find %{buildroot} -name '*.la' -delete
 
 
%find_lang libgtop
 
%ldconfig_scriptlets
%files -f libgtop.lang
%doc AUTHORS NEWS README
%license COPYING
%{_bindir}/libgtop_daemon2
%{_bindir}/libgtop_server2
%{_libdir}/libgtop-2.0.so.11*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GTop-2.0.typelib
 
%files devel
%{_libdir}/libgtop-2.0.so
%{_includedir}/libgtop-2.0
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GTop-2.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
# not worth fooling with
%exclude %{_datadir}/info
 
%changelog
* Tue May 10 2022 gaochang <taifu.gc@alibaba-inc.com> - 2.40.0-1
- Init from upstream 2.40.0
 
